You are here

Supported Platforms

Here is a list of the individual components that have been through the complete Alfresco Quality Assurance and Certification activities for Alfresco Content Services.

Last modified: Sept 13 2018

Choose a combination of products to build your own Supported Stack. If anything is unclear then please contact our Support team https://support.alfresco.com.

Operating Systems

Server 5.2.0 5.2.1 5.2.2 5.2.3 5.2.4 Comment
Red Hat Enterprise Linux 7.3 x64  
Red Hat Enterprise Linux 7.2 x64  
Windows Server 2016      
Windows Server 2012 R2 x64  
CentOS 7 x64  
Ubuntu 16.04 LTS x64  
SUSE 12.0 SP1 x64  
Oracle Solaris 11.3 x64  

Databases

Database 5.2.0 5.2.1 5.2.2 5.2.3 5.2.4 Comment
MySQL 5.7.17 mysql-connector-java-5.1.42.jar
MS SQL Server 2016 See https://docs.microsoft.com/en-us/sql/connect/jdbc/system-requirements-for-the-jdbc-driver for JDBC Driver supported versions
MS SQL Server 2014 See https://docs.microsoft.com/en-us/sql/connect/jdbc/system-requirements-for-the-jdbc-driver for JDBC Driver supported versions
Oracle 12c   Ojdbc7.jar – 12.1.0.2
Oracle 12c         Ojdbc7.jar – 12.1.0.1
PostgreSQL 9.4.4 Postgresql-9.4-1211.jre.jar
IBM DB2 10.5 IBM Data Server Driver for JDBC and SQLJ (JCC Driver)
MariaDB 10.1.x       mysql-connector-java-5.1.42.jar
MariaDB 10.1.x     mariadb-java-client-2.0.1.jar
Amazon Aurora mysql-connector-java-5.1.42.jar

Application servers

Applications server 5.2.0 5.2.1 5.2.2 5.2.3 5.2.4 Comment

Tomcat 7.0.82

Do not use v7.0.70 – See MNT-16664
JBoss 6.4.0 EAP  
Oracle WebLogic Server 12.2.1.2  
IBM WebSphere 8.5.5.10 “Classic”, not “Liberty”
Note: Solr 4 is supported only on Tomcat. Solr 6 is powered by a Jetty server, and so is not supported on another application server.

Clients

Client operating system 5.2.0 5.2.1 5.2.2 5.2.3 5.2.4 Comment
Windows 10  
Windows 8.1 X64  
Windows 7  
Mac OSX 10.12  

Client browsers

Browser 5.2.0 5.2.1 5.2.2 5.2.3 5.2.4 Comment
Mozilla Firefox  
MS Internet Explorer 11  
Microsoft Edge  
Chrome  
Safari 9  

Java

JRE 5.2.0 5.2.1 5.2.2 5.2.3 5.2.4 Comment
Oracle JRE 1.8.0_111  
Oracle JRE 1.8.0_121      
IBM SDK 8 IBM WebSphere 8.5.5.10

Third Party Integrations

Integration 5.2.0 5.2.1 5.2.2 5.2.3 5.2.4 Comment
MS Office 2016 Microsoft Office for Mac does not support Kerberos authentication
MS Office 2013  
MS Office 2011 Microsoft Office for Mac does not support Kerberos authentication
MS Office 2010  
Alfresco Content Connector for Salesforce 2.0  
Alfresco Kofax Integration 2.0 Kofax 10
Alfresco Content Connector for AWS S3 2.1 Media Management 1.1 supported
Alfresco Content Connector for AWS S3 2.0 Media Management is not supported
Alfresco S3 Connector 1.3     Media Management 1.0 supported
Alfresco Content Connector for EMC Centera 2.1  
Alfresco Google Docs Integration 3.0  
Alfresco Outlook Integration 2.4 See Outlook Integration prerequisites for MS-Office supported versions
Alfresco Outlook Integration 2.2 See Outlook Integration prerequisites for MS-Office supported versions
Alfresco Outlook Integration 2.1 See Outlook Integration prerequisites for MS-Office supported versions
Alfresco SDK 3.0  
Alfresco Application Development Framework (ADF) 2.x Some API functionality may be available only in the latest Alfresco Content Services release.

Modules

Module name 5.2.0 5.2.1 5.2.2 5.2.3 5.2.4 Comment
Alfresco Governance Services 2.7.1          
Alfresco Governance Services 2.7    
Alfresco Governance Services 2.6.1          
Alfresco Governance Services 2.6    
Alfresco Records Management 2.5.4      
Alfresco Records Management 2.5.3      
Alfresco Records Management 2.5.2    
Alfresco Records Management 2.5.1  
Alfresco Sync Service 2.2 *     See Sync Service prerequisites for supported environments
Alfresco Sync Service 2.1 * See Sync Service prerequisites for supported environments
Alfresco Desktop Sync 1.1 *     See Alfresco Desktop Sync overview for supported clients
Alfresco Desktop Sync 1.0 * See Alfresco Desktop Sync overview for supported clients

Alfresco Media Management 1.1

If you intend to use Media Management and the S3 Connector on the same Alfresco Content Services 5.2.x install, you must use Media Management 1.1 and S3 Connector 2.1.

Alfresco Media Management 1.0

If you intend to use Media Management and the S3 Connector on the same Alfresco Content Services 5.2.x install, you must use Media Management 1.0 and S3 Connector 1.3.
Document Transformation Engine 2.1 See Installing GhostScript and pdf2swf for GhostScript supported version and installation instructions.
Document Transformation Server 2.0        
Alfresco Office Services 1.1  
Alfresco Search Services 1.2  
Alfresco Search Services 1.1  
Alfresco Search Services 1.0  
SAML Single Sign-On (SSO) for Alfresco Content Services 1.0  

* Alfresco Desktop Sync will replicate content on local desktops for users with the appropriate access. If replication outside the repository is not allowed by your content policy you should not deploy Alfresco Desktop Sync. In addition:

  • Alfresco Desktop Sync 1.1 does not support Smart Folders.
  • Alfresco Desktop Sync 1.0 does not support Smart Folders and Alfresco Records Management or Alfresco Governance Services. If Alfresco Governance Services controlled content is synced, note that moving, renaming or hiding of declared records may not be reflected on the desktop client.

Related components

Component name 5.2.0 5.2.1 5.2.2 5.2.3 5.2.4 Comment
ImageMagick v6.9.1-10
VMWare ESXi Support from ESXi 5.0 (as long as the ESXi version supports the guest OS)
LibreOffice v5.2.1.2

Sending feedback to the Alfresco documentation team

You don't appear to have JavaScript enabled in your browser. With JavaScript enabled, you can provide feedback to us using our simple form. Here are some instructions on how to enable JavaScript in your web browser.